> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mosey.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Tasks Management Session

> Creates an authenticated session to enter the Mosey app, and returns
the url on which a user can view and manage tasks.

The tasks shown are dictated by the values provided in the request:
`task_type` and optionally `status`.

When requesting question tasks, only `todo` and `done` statuses
can be requested.



## OpenAPI

````yaml /openapi_v2.json post /v2/tasks/manage/session
openapi: 3.1.0
info:
  title: Mosey API
  description: If you'd like to use the Mosey API, please contact sales@mosey.com.
  version: V2
  x-logo:
    url: null
servers: []
security: []
paths:
  /v2/tasks/manage/session:
    post:
      summary: Create Tasks Management Session
      description: |-
        Creates an authenticated session to enter the Mosey app, and returns
        the url on which a user can view and manage tasks.

        The tasks shown are dictated by the values provided in the request:
        `task_type` and optionally `status`.

        When requesting question tasks, only `todo` and `done` statuses
        can be requested.
      operationId: Create_Tasks_Management_Session_v2_tasks_manage_session_post
      parameters:
        - name: legal_entity_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Legal Entity Public Id
        - name: user_or_platform_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Or Platform Public Id
        - name: platform_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Platform Public Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HostedManageTasksSessionRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedSessionResponse'
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformHttpException'
          description: Unprocessable Entity
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    HostedManageTasksSessionRequest:
      properties:
        callback_url:
          type: string
          title: Callback Url
        region_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Region Id
        task_type:
          $ref: '#/components/schemas/PlatformTaskType'
        status:
          $ref: '#/components/schemas/TasksFilterStatus'
          default: todo
      type: object
      required:
        - callback_url
        - task_type
      title: HostedManageTasksSessionRequest
    HostedSessionResponse:
      properties:
        url:
          type: string
          title: Url
        created_at:
          type: string
          title: Created At
        expires_at:
          type: string
          title: Expires At
      type: object
      required:
        - url
        - created_at
        - expires_at
      title: HostedSessionResponse
    PlatformHttpException:
      properties:
        message:
          type: string
          title: Message
        detail:
          type: string
          title: Detail
      type: object
      required:
        - message
        - detail
      title: PlatformHttpException
    PlatformTaskType:
      type: string
      enum:
        - requirement
        - question
      title: PlatformTaskType
    TasksFilterStatus:
      type: string
      enum:
        - todo
        - overdue
        - done
        - automated
        - managed
      title: TasksFilterStatus
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/token

````